Get local audience
Get all values for artist followers for a month and located followers for a given date within that month
We get located follower values once a month. Available platforms for located followers on Soundcharts are Instagram, TikTok & YouTube.
Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.
Request
GET
/api/v2.37/artist/{uuid}/social/{platform}/followers/
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
| platform | string | A social platform code | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| startDate | string | Optional period start date (format YYYY-MM-DD) | Optional |
| endDate | string | Optional period end date (format YYYY-MM-DD) | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Social Account response along with its data plots |
Social Plot Collection |
| 400 |
Bad Request
Invalid date provided |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist not found |